aptosid.com

Software - apt-get update troubles

savsav - 19.06.2012, 18:54
Post subject: apt-get update troubles
I was thinking of downgrading WINE, so I followed the instructions in the manual:

***

enable/uncomment testing sources in /etc/apt/sources.list.d/debian.list

apt-get update

***

Then I changed my mind and didn't downgrade anything. I didn't install anything either.

I followed the instructions again to return everything back to normal:

***

comment the testing sources in /etc/apt/sources.list.d/debian.list

apt-get update

***

Everything did NOT return to normal.

For example, the installed version of wine is shown as 1.4-7 BUT the LATEST VERSION of wine is shown as 1.4.1-1

so if I go apt-get install wine

it wants to downgrade me!

it seems to be still running on the testing sources -- making THEM the latest version.

Can someone, please, help?
DonKult - 19.06.2012, 19:21
Post subject: Re: apt-get update troubles
      savsav wrote:
For example, the installed version of wine is shown as 1.4-7 BUT the LATEST VERSION of wine is shown as 1.4.1-1

so if I go apt-get install wine

it wants to downgrade me!


1.4 is smaller than 1.4.1, so this is not a downgrade … henceforth i don't understand your problem.

Also, is this an amd64 system? And if so, is it MultiArch enabled?

[wine maintainers choose to fast-forward on MultiArch so it is not available on amd64 anymore and deploys tricks to get it from i386 instead …]
savsav - 20.06.2012, 04:24
Post subject: RE: Re: apt-get update troubles
Never mind.

I was able to fix the problem.
clubex - 20.06.2012, 09:59
Post subject: RE: Re: apt-get update troubles
I would be nice to know how you fixed it as this might help others who have a similar problem in the future.
All times are GMT - 12 Hours
Powered by PNphpBB2 © 2003-2010 The Zafenio Group
Credits